<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: Controls.PlayerActions Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('struct_controls_1_1_player_actions.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="struct_controls_1_1_player_actions-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">Controls.PlayerActions Struct Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af9a50c29b516e55ca953339cc2db9fc4"><td class="memItemLeft" align="right" valign="top"><a id="af9a50c29b516e55ca953339cc2db9fc4" name="af9a50c29b516e55ca953339cc2db9fc4"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>PlayerActions</b> (@<a class="el" href="class_controls.html">Controls</a> wrapper)</td></tr>
<tr class="separator:af9a50c29b516e55ca953339cc2db9fc4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef38186f8445f172ca011d139d4a99a7"><td class="memItemLeft" align="right" valign="top"><a id="aef38186f8445f172ca011d139d4a99a7" name="aef38186f8445f172ca011d139d4a99a7"></a>
InputActionMap&#160;</td><td class="memItemRight" valign="bottom"><b>Get</b> ()</td></tr>
<tr class="separator:aef38186f8445f172ca011d139d4a99a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56abe0f3a6e64ab5f458e8d441b869d6"><td class="memItemLeft" align="right" valign="top"><a id="a56abe0f3a6e64ab5f458e8d441b869d6" name="a56abe0f3a6e64ab5f458e8d441b869d6"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Enable</b> ()</td></tr>
<tr class="separator:a56abe0f3a6e64ab5f458e8d441b869d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3abe8c648468ad2c2b9dd9767490b99"><td class="memItemLeft" align="right" valign="top"><a id="ab3abe8c648468ad2c2b9dd9767490b99" name="ab3abe8c648468ad2c2b9dd9767490b99"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Disable</b> ()</td></tr>
<tr class="separator:ab3abe8c648468ad2c2b9dd9767490b99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a011aadec6501418214c55e5f3b3d581f"><td class="memItemLeft" align="right" valign="top"><a id="a011aadec6501418214c55e5f3b3d581f" name="a011aadec6501418214c55e5f3b3d581f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetCallbacks</b> (<a class="el" href="interface_controls_1_1_i_player_actions.html">IPlayerActions</a> instance)</td></tr>
<tr class="separator:a011aadec6501418214c55e5f3b3d581f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:abcbb4fc2a27f5f40791415d3cfb64288"><td class="memItemLeft" align="right" valign="top"><a id="abcbb4fc2a27f5f40791415d3cfb64288" name="abcbb4fc2a27f5f40791415d3cfb64288"></a>
static implicit&#160;</td><td class="memItemRight" valign="bottom"><b>operator InputActionMap</b> (<a class="el" href="struct_controls_1_1_player_actions.html">PlayerActions</a> set)</td></tr>
<tr class="separator:abcbb4fc2a27f5f40791415d3cfb64288"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a00c05daef97604bc11ee22f1fd338bff"><td class="memItemLeft" align="right" valign="top"><a id="a00c05daef97604bc11ee22f1fd338bff" name="a00c05daef97604bc11ee22f1fd338bff"></a>
InputAction&#160;</td><td class="memItemRight" valign="bottom"><b>Look</b><code> [get]</code></td></tr>
<tr class="separator:a00c05daef97604bc11ee22f1fd338bff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1465bd044200f161ae929f721812bce8"><td class="memItemLeft" align="right" valign="top"><a id="a1465bd044200f161ae929f721812bce8" name="a1465bd044200f161ae929f721812bce8"></a>
InputAction&#160;</td><td class="memItemRight" valign="bottom"><b>Select</b><code> [get]</code></td></tr>
<tr class="separator:a1465bd044200f161ae929f721812bce8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5eb503771bdc2fe3a5b800f51c9dfdb8"><td class="memItemLeft" align="right" valign="top"><a id="a5eb503771bdc2fe3a5b800f51c9dfdb8" name="a5eb503771bdc2fe3a5b800f51c9dfdb8"></a>
InputAction&#160;</td><td class="memItemRight" valign="bottom"><b>Zoom</b><code> [get]</code></td></tr>
<tr class="separator:a5eb503771bdc2fe3a5b800f51c9dfdb8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab05b1ab79e087ba15222171adcab3fdb"><td class="memItemLeft" align="right" valign="top"><a id="ab05b1ab79e087ba15222171adcab3fdb" name="ab05b1ab79e087ba15222171adcab3fdb"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>enabled</b><code> [get]</code></td></tr>
<tr class="separator:ab05b1ab79e087ba15222171adcab3fdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/Scripts/<a class="el" href="_controls_8cs.html">Controls.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_controls.html">Controls</a></li><li class="navelem"><a class="el" href="struct_controls_1_1_player_actions.html">PlayerActions</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:26:14 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
